libebook::TDTextParser Class Reference documentation

Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::TDTextParser Class Reference

## Classes
class | SaveAttribute

## Public Member Functions
| TDTextParser (librevenge::RVNGTextInterface *document)
void | parse (librevenge::RVNGInputStream *input, bool last=false)

## Private Types
typedef deque< std::pair< string, string > > | Attributes_t
typedef boost::unordered_map< string, Token > | TokenMap_t

## Private Member Functions
| TDTextParser (const TDTextParser &other)
TDTextParser | operator= (const TDTextParser &other)
bool | parseTag (librevenge::RVNGInputStream *input)
bool | parseHeaderTag (const Attributes_t &attributeList)
void | parseAttribute (const string &name, const string &rawValue, TDAttributes &attributes)
void | openParagraph (const TDAttributes &attributes=TDAttributes())
void | closeParagraph ()
void | finishParagraph ()
void | flushText (const TDAttributes &attributes=TDAttributes())

## Private Attributes
librevenge::RVNGTextInterface *const | m_document
string | m_text
bool | m_openedParagraph

## Member Typedef Documentation

## § Attributes_t

typedef deque<std::pair<string, string> > libebook::TDTextParser::Attributes_t
| private

## § TokenMap_t

typedef boost::unordered_map<string, Token> libebook::TDTextParser::TokenMap_t
| private

## Constructor & Destructor Documentation

## § TDTextParser() [1/2]

libebook::TDTextParser::TDTextParser | ( | const TDTextParser & | other | ) |
| private

## § TDTextParser() [2/2]

libebook::TDTextParser::TDTextParser | ( | librevenge::RVNGTextInterface * | document | ) |
| explicit

## Member Function Documentation

## § closeParagraph()

void libebook::TDTextParser::closeParagraph | ( |  | ) |
| private

Referenced by finishParagraph(), and parseHeaderTag().

## § finishParagraph()

void libebook::TDTextParser::finishParagraph | ( |  | ) |
| private

Referenced by parse(), and parseTag().

## § flushText()

void libebook::TDTextParser::flushText | ( | const TDAttributes & | attributes = `TDAttributes()` | ) |
| private

Referenced by finishParagraph(), and parseHeaderTag().

## § openParagraph()

void libebook::TDTextParser::openParagraph | ( | const TDAttributes & | attributes = `TDAttributes()` | ) |
| private

Referenced by flushText(), and parseHeaderTag().

## § operator=()

TDTextParser libebook::TDTextParser::operator= | ( | const TDTextParser & | other | ) |
| private

## § parse()

void libebook::TDTextParser::parse | ( | librevenge::RVNGInputStream * | input,
|  | bool | last = `false`
| ) |  |

Referenced by libebook::TDParser::readDataRecord().

## § parseAttribute()

void libebook::TDTextParser::parseAttribute | ( | const string & | name,
|  | const string & | rawValue,
|  | TDAttributes & | attributes
| ) |  |
| private

Referenced by parseHeaderTag().

## § parseHeaderTag()

bool libebook::TDTextParser::parseHeaderTag | ( | const Attributes_t & | attributeList | ) |
| private

Referenced by parseTag().

## § parseTag()

bool libebook::TDTextParser::parseTag | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

## Member Data Documentation

## § m_document

librevenge::RVNGTextInterface* const libebook::TDTextParser::m_document
| private

Referenced by closeParagraph(), flushText(), and openParagraph().

## § m_openedParagraph

bool libebook::TDTextParser::m_openedParagraph
| private

Referenced by closeParagraph(), flushText(), and openParagraph().

## § m_text

string libebook::TDTextParser::m_text
| private

Referenced by flushText(), parse(), and parseAttribute().

The documentation for this class was generated from the following file:

- TDParser.cpp